Loading...
Searching...
No Matches
snd_tplg_widget_template Struct Reference
Topology Interface

Template type for DAPM widget objects. More...

`#include <topology.h>`

Collaboration diagram for snd_tplg_widget_template:
[legend]

## Data Fields

int | id
const char * | name
const char * | sname
int | reg
int | shift
int | mask
int | subseq
unsigned int | invert
unsigned int | ignore_suspend
unsigned short | event_flags
unsigned short | event_type
struct snd_soc_tplg_private * | priv
int | num_ctls
struct snd_tplg_ctl_template * | ctl [0]

## Detailed Description

Template type for DAPM widget objects.

## Field Documentation

## ctl

struct snd_tplg_ctl_template* snd_tplg_widget_template::ctl[0]

array of widget controls

## event_flags

unsigned short snd_tplg_widget_template::event_flags

PM event sequence flags

## event_type

unsigned short snd_tplg_widget_template::event_type

PM event sequence type

## id

int snd_tplg_widget_template::id

SND_SOC_DAPM_CTL

## ignore_suspend

unsigned int snd_tplg_widget_template::ignore_suspend

kept enabled over suspend

## invert

unsigned int snd_tplg_widget_template::invert

invert the power bit

## mask

int snd_tplg_widget_template::mask

non-shifted mask

## name

const char* snd_tplg_widget_template::name

widget name

## num_ctls

int snd_tplg_widget_template::num_ctls

Number of controls used by widget

## priv

struct snd_soc_tplg_private* snd_tplg_widget_template::priv

widget private data

## reg

int snd_tplg_widget_template::reg

negative reg = no direct dapm

## shift

int snd_tplg_widget_template::shift

bits to shift

## sname

const char* snd_tplg_widget_template::sname

stream name (certain widgets only)

## subseq

int snd_tplg_widget_template::subseq

sort within widget type

The documentation for this struct was generated from the following file:

- /build/alsa-lib-V2R1wV/alsa-lib-1.2.11/include/topology.h